libdvbv5: dvb_entry Struct Reference

libdvbv5 1.26.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_entry Struct Reference
Channel and transponder file read/write

Represents one entry on a DTV file. More...

`#include <dvb-file.h>`

## Data Fields
struct dtv_property | props [DTV_MAX_COMMAND]
unsigned int | n_props
struct dvb_entry * | next
uint16_t | service_id
uint16_t * | video_pid
uint16_t * | audio_pid
struct dvb_elementary_pid * | other_el_pid
unsigned | video_pid_len
unsigned | audio_pid_len
unsigned | other_el_pid_len
char * | channel
char * | vchannel
char * | location
int | sat_number
unsigned | freq_bpf
unsigned | diseqc_wait
char * | lnb
uint16_t | network_id
uint16_t | transport_id

## Detailed Description

Represents one entry on a DTV file.

Parameters

  props | A property key/value pair. The keys are the ones specified at the DVB API, plus the ones defined internally by libdvbv5, at the dvb-v5-std.h header file.
  next | a pointer to the next entry. NULL if this is the last one.
  service_id | Service ID associated with a program inside a transponder. Please note that pure "channel" files will have this field filled with 0.
  video_pid | Array with the video program IDs inside a service
  audio_pid | Array with the audio program IDs inside a service
  other_el_pid | Array with all non-audio/video program IDs inside a service
  video_pid_len | Size of the video_pid array
  audio_pid_len | Size of the audio_pid array
  other_el_pid_len | Size of the other_el_pid array
  channel | String containing the name of the channel
  vchannel | String representing the Number of the channel
  location | String representing the location of the channel
  sat_number | For satellite streams, this represents the number of the satellite dish on a DiSeqC arrangement. Should be zero on arrangements without DiSeqC.
  freq_bpf | SCR/Unicable band-pass filter frequency to use, in kHz. For non SRC/Unicable arrangements, it should be zero.
  diseqc_wait | Extra time to wait for DiSeqC commands to complete, in ms. The library will use 15 ms as the minimal time, plus the time specified on this field.
  lnb | String with the name of the LNBf to be used for satellite tuning. The names should match the names provided by dvb_sat_get_lnb() call (see dvb-sat.h).

Examples
  dvbv5-scan.c, and dvbv5-zap.c.

Definition at line 104 of file dvb-file.h.

## Field Documentation

## ◆ audio_pid

uint16_t * dvb_entry::audio_pid

Examples
  dvbv5-zap.c.

Definition at line 109 of file dvb-file.h.

Referenced by dvb_file_free().

## ◆ audio_pid_len

unsigned dvb_entry::audio_pid_len

Examples
  dvbv5-zap.c.

Definition at line 111 of file dvb-file.h.

## ◆ channel

char* dvb_entry::channel

Examples
  dvbv5-zap.c.

Definition at line 112 of file dvb-file.h.

Referenced by dvb_file_free().

## ◆ diseqc_wait

unsigned dvb_entry::diseqc_wait

Definition at line 119 of file dvb-file.h.

## ◆ freq_bpf

unsigned dvb_entry::freq_bpf

Definition at line 118 of file dvb-file.h.

## ◆ lnb

char* dvb_entry::lnb

Examples
  dvbv5-scan.c, and dvbv5-zap.c.

Definition at line 120 of file dvb-file.h.

Referenced by dvb_file_free().

## ◆ location

char* dvb_entry::location

Definition at line 115 of file dvb-file.h.

Referenced by dvb_file_free().

## ◆ n_props

unsigned int dvb_entry::n_props

Examples
  dvbv5-zap.c.

Definition at line 106 of file dvb-file.h.

## ◆ network_id

uint16_t dvb_entry::network_id

Definition at line 122 of file dvb-file.h.

## ◆ next

struct dvb_entry* dvb_entry::next

Examples
  dvbv5-scan.c, and dvbv5-zap.c.

Definition at line 107 of file dvb-file.h.

Referenced by dvb_file_free().

## ◆ other_el_pid

struct dvb_elementary_pid* dvb_entry::other_el_pid

Examples
  dvbv5-zap.c.

Definition at line 110 of file dvb-file.h.

Referenced by dvb_file_free().

## ◆ other_el_pid_len

unsigned dvb_entry::other_el_pid_len

Examples
  dvbv5-zap.c.

Definition at line 111 of file dvb-file.h.

## ◆ props

struct dtv_property dvb_entry::props[DTV_MAX_COMMAND]

Examples
  dvbv5-zap.c.

Definition at line 105 of file dvb-file.h.

## ◆ sat_number

int dvb_entry::sat_number

Examples
  dvbv5-zap.c.

Definition at line 117 of file dvb-file.h.

## ◆ service_id

uint16_t dvb_entry::service_id

Examples
  dvbv5-zap.c.

Definition at line 108 of file dvb-file.h.

## ◆ transport_id

uint16_t dvb_entry::transport_id

Definition at line 123 of file dvb-file.h.

## ◆ vchannel

char* dvb_entry::vchannel

Examples
  dvbv5-zap.c.

Definition at line 113 of file dvb-file.h.

Referenced by dvb_file_free().

## ◆ video_pid

uint16_t* dvb_entry::video_pid

Examples
  dvbv5-zap.c.

Definition at line 109 of file dvb-file.h.

Referenced by dvb_file_free().

## ◆ video_pid_len

unsigned dvb_entry::video_pid_len

Examples
  dvbv5-zap.c.

Definition at line 111 of file dvb-file.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/dvb-file.h